package com.bwie.auth.factory;

import com.bwie.auth.feign.UserRemoteService;
import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

@Component
public class UserFeginFactory implements FallbackFactory<UserRemoteService> {
    @Override
    public UserRemoteService create(Throwable cause) {
        return new UserRemoteService() {
            @Override
            public Result<User> selUser(User user) {
                return Result.error(cause.getMessage());
            }
        };
    }
}
