package com.bwie.common.RestController;

import com.bwie.common.Exception.Exception;
import com.bwie.common.result.Result;
import lombok.extern.log4j.Log4j2;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

@Component
@RestControllerAdvice
@Log4j2
public class RestController {

    @ExceptionHandler(value = Exception.class)
    public Result RestControllerAdvice(Throwable throwable){
        StackTraceElement traceElement = throwable.getStackTrace()[0];
        String methodName = traceElement.getMethodName();
        int lineNumber = traceElement.getLineNumber();
        log.info("报错方法{},报错行数{},报错信息{}",methodName,lineNumber,throwable);
        return Result.error("网络异常请重试");
    }
}
