package com.bwie.house.controller;

import com.bwie.common.Exception.Exception;
import com.bwie.common.domain.Cycle;
import com.bwie.common.domain.House;
import com.bwie.common.domain.request.HouseReq;
import com.bwie.common.domain.request.OtherCycle;
import com.bwie.common.domain.response.LoanDTO;
import com.bwie.common.domain.vo.LoanVo;
import com.bwie.common.result.Result;
import com.bwie.house.service.HouseService;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import feign.Param;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.util.List;


@RequestMapping("/house")
@RestController
public class HouseController {
    @Resource
    private HouseService houseService;

    @PostMapping("/selHouse")
    public Result selHouse(@RequestBody HouseReq req) {
        PageHelper.startPage(req.getPageNum(),req.getPageSize());
        List<House> houses = houseService.selHouse(req);
        PageInfo pageInfo = new PageInfo<>(houses);
        return Result.success(pageInfo);
    }


    @GetMapping("/selHouseById")
    public Result selHouseById(@RequestParam Integer houseId) {
        return Result.success(houseService.selHouseById(houseId));
    }

    @GetMapping("/selCycleList")
    public Result selCycleList() {
        return Result.success(houseService.selCycleList());
    }


    @PostMapping("/selHouseRealMoney")
    public Result selHouseRealMoney(@RequestBody OtherCycle otherCycle){
        return Result.success(houseService.selHouseRealMoney(otherCycle));
    }

    @PostMapping("/selHouseAfterMoney")
    public Result selHouseAfterMoney(@RequestBody OtherCycle otherCycle){
        return Result.success(houseService.selHouseAfterMoney(otherCycle));
    }

    @PostMapping("/insertLoan")
    public Result insertLoan(@RequestBody LoanDTO loanDTO){
        Integer i = houseService.insertLoan(loanDTO);
        if (i>0){
            return Result.success("添加成功");
        }
        throw new Exception("失败");
    }

    @GetMapping("/selLoanList")
    public Result selLoanList() {
        return Result.success(houseService.selLoanList());
    }

}
