package com.bwie.house.mapper;

import com.bwie.common.domain.Cycle;
import com.bwie.common.domain.House;
import com.bwie.common.domain.Loan;
import com.bwie.common.domain.User;
import com.bwie.common.domain.request.HouseReq;
import com.bwie.common.domain.vo.LoanVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

@Mapper
public interface HouseMapper {
    List<House> selHouse(HouseReq req);

    House selHouseById(@Param("houseId")Integer houseId);

    //租住时长下拉框
   List<Cycle>  selCycleList();

    //是否为第一次租房
    Loan selLoanRecord(@Param("userId")Integer userId);

    //查询折扣信息
    Cycle selCycleById(@Param("cycleId")Integer cycleId);

    //查询原价
    BigDecimal selHouseRealMoney(@Param("houseId")Integer houseId,@Param("time")Integer time);

    //查询折扣后价格
    BigDecimal selHouseAfterMoney(@Param("houseId")Integer houseId,@Param("time")Integer time,@Param("discount")double discount);


    //添加贷款信息表
    Integer insertLoan(Loan loan);

    //查询贷款列表
    List<LoanVo> selLoanList();

    //审批修改状态
    void updStatePass(@Param("loanId")Integer loanId);
    void updStateBack(@Param("loanId")Integer loanId);


    //查询待审批贷款列表
    List<LoanVo> selLoanListApply();

    User selUserById(@Param("userId")Integer userId);


}
