package com.bwie.consumer;


import com.bwie.common.utils.TelSmsUtils;
import com.rabbitmq.client.Channel;
import lombok.extern.log4j.Log4j2;
import org.springframework.amqp.core.Message;
import org.springframework.amqp.rabbit.annotation.Queue;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.io.IOException;
import java.util.HashMap;


@Component
@Log4j2
public class HouseConsumer {
        @Resource
        private StringRedisTemplate stringRedisTemplate;


    @RabbitListener(queuesToDeclare = @Queue(name = "sendSms"))
    public void sendSms(String userPhone, Message message, Channel channel){
        String messageId = message.getMessageProperties().getMessageId();
        Long add = stringRedisTemplate.opsForSet().add("messageId", messageId);
        HashMap<String, String> map = new HashMap<>();
        map.put("code","code");
        String s = TelSmsUtils.sendSms(userPhone, "code", map);
        log.info(s);
        try {
            channel.basicAck(message.getMessageProperties().getDeliveryTag(),true);
        } catch (IOException e) {
            try {
                channel.basicReject(message.getMessageProperties().getDeliveryTag(),false);
            } catch (IOException ex) {
                throw new RuntimeException(ex);
            }
        }
    }
}
